PTHREAD_SET_NAME_NP(3)

NAME
pthread_get_name_np, pthread_set_name_np - set and retrieve the thread name

LIBRARY
libpthread

SYNOPSIS
#include <pthread_np.h>
void
pthread_get_name_np(pthread_t thread, char *name, size_t len);
void
pthread_set_name_np(pthread_t thread, const char *name);

DESCRIPTION
The pthread_set_name_np() function applies a copy of the given name to the given thread.

The pthread_get_name_np() function retrieves the name associated with thread. If pthread_set_name_np() was not previously called for thread, the buffer pointed to by name will be empty.

ERRORS
Because of the debugging nature of these functions, all errors that may appear inside are silently ignored.

SEE ALSO
thr_set_name(2)

STANDARDS
pthread_set_name_np() and pthread_get_name_np() are non-standard extensions.

AUTHORS
This manual page was written by Alexey Zelkin <phantom@FreeBSD.org> and Yuri Pankov <yuripv@yuripv.net>.